Bug 24281 - Fix the list of types of visual materials
Summary: Fix the list of types of visual materials
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Maryse Simard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-19 16:57 UTC by Caroline Cyr La Rose
Modified: 2020-01-13 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02


Attachments
Bug 24281: Fix the list of types of visual materials (2.51 KB, patch)
2019-12-20 14:24 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 24281: Fix the list of types of visual materials (2.58 KB, patch)
2019-12-22 11:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2019-12-19 16:57:02 UTC
In the MARC21slim2OPACResults and MARC21slim2IntranetResults XSLT files, the type of visual material for code "g" is "legal article" instead of "game"

            <span class="label">; Type of visual material: </span>
            <xsl:choose>

[...]
                <xsl:when test="$controlField008-33='g'">
                    legal article
                </xsl:when>
Comment 1 Maryse Simard 2019-12-20 14:24:42 UTC
Created attachment 96526 [details] [review]
Bug 24281: Fix the list of types of visual materials

In the MARC21 XSLT files for results in both staff and OPAC, the
type of visual material for code "g" is "legal article" instead
of "game". This patch change the value to "game".

To test:
0. Set up:
    - have a MARC21 database
    - use default XSLT file for display of results :
        OPACXSLTResultsDisplay : default
        XSLTResultsDisplay : defaul
    - If needed, catalog a game. In the 008 tag editor :
        Type of Material : VM - Visual Materials
        33 - Type of visual material : g - Game
1. On both staff and OPAC, make a search which returns results
including visual materials of type game (the title catalogued
in previous step).
2. Note that in the list of results, the label "Type of visual
material" is followed by "legal article".
3. Apply patch.
4. Repeat step 1.
5. Note "legal article" has been replaced by "game".
Comment 2 Katrin Fischer 2019-12-22 11:36:55 UTC
Created attachment 96567 [details] [review]
Bug 24281: Fix the list of types of visual materials

In the MARC21 XSLT files for results in both staff and OPAC, the
type of visual material for code "g" is "legal article" instead
of "game". This patch change the value to "game".

To test:
0. Set up:
    - have a MARC21 database
    - use default XSLT file for display of results :
        OPACXSLTResultsDisplay : default
        XSLTResultsDisplay : defaul
    - If needed, catalog a game. In the 008 tag editor :
        Type of Material : VM - Visual Materials
        33 - Type of visual material : g - Game
1. On both staff and OPAC, make a search which returns results
including visual materials of type game (the title catalogued
in previous step).
2. Note that in the list of results, the label "Type of visual
material" is followed by "legal article".
3. Apply patch.
4. Repeat step 1.
5. Note "legal article" has been replaced by "game".

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2019-12-23 12:09:39 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 4 Joy Nelson 2020-01-12 19:03:47 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 5 Lucas Gass 2020-01-13 23:10:28 UTC
backported to 19.05.x for 19.05.07